@echo off
cd slim.r
for %%f in (*.c) do %CC% -w -c -O2 %%f
lib *.obj /out:slim.lib
del *.obj
for %%f in (*.c) do %CC% -Zi -w -c -O2 %%f
lib *.obj /out:slimbug.lib
del *.obj
cd ..\slim.c
call ..\make.bat
copy slim2c.exe ..
copy linker.exe ..
cd ..\slim.i
call ..\make.bat
copy slimi.exe ..
del *.obj
del *.c
del *.exe
del makefile
del *.rsp
del *.lin
cd ..\slim.c
del *.obj
del *.c
del *.exe
del makefile
del *.rsp
del *.lin
del *.bnf
cd ..\bnf2c.src
call ..\make.bat
copy bnf2c.exe ..
del *.obj
del *.c
del *.exe
del makefile
del *.rsp
del *.lin
cd ..\bnf2slm.src
call ..\make.bat
copy bnf2slm.exe ..
del *.obj
del *.c
del *.exe
del makefile
del *.rsp
del *.lin
cd ..
rd slim.c
rd slim.i
rd bnf2c.src
rd bnf2slm.src
